idris-1.0: Functional Programming Language with Dependent Types

Copyright | License : BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell98

Util.DynamicLinker

Description

# Documentation

data ForeignFun #

Constructors

Fun |
Fields fun_name :: String fun_handle :: FunPtr a

data DynamicLib #

Constructors

Lib |
Fields lib_name :: String lib_handle :: DL

Instances

Eq DynamicLib # |
Methods (==) :: DynamicLib -> DynamicLib -> Bool # (/=) :: DynamicLib -> DynamicLib -> Bool #

tryLoadLib :: [FilePath] -> String -> IO (Maybe DynamicLib) #

tryLoadFn :: String -> DynamicLib -> IO (Maybe ForeignFun) #